export const frontKeyMap = {
  type: 'fieldType',
  name: 'fieldName',
  placeholder: 'fieldHint',
  value: 'fieldDefault',
  column: 'fieldColumn',
  required: 'isRequired',
  optionMode: 'fieldOptionMode',
  options: 'fieldOptionStatic',
  optionApi: 'fieldOptionOrigin',
  showLabel: 'showLabel',
  buttonText: 'buttonText',
  buttonColor: 'buttonStyle',
  requestApi: 'dataApi',
  pageUrl: 'pageUrl',
  upload: 'upload',
  specialTag: 'specialTag',
  showHeader: 'showHeader',
  becomeFilter: 'filter',
  // becomeSortCondition:'sort',
  ruleApi: 'ruleApi',
  ruleRegular: 'ruleRegular',
  sortPriority: 'tableHeaderOrder'

}

export const backKeyMap = {
  fieldType: 'type',
  fieldName: 'name',
  fieldHint: 'placeholder',
  fieldDefault: 'value',
  fieldColumn: 'column',
  isRequired: 'required',
  fieldOptionMode: 'optionMode',
  fieldOptionStatic: 'options',
  fieldOptionOrigin: 'optionApi',
  showLabel: 'showLabel', // 是否展示标签  Boolean
  buttonText: 'buttonText', // 按钮文字 String
  buttonStyle: 'buttonColor', // 按钮样式 oject
  dataApi: 'requestApi', // api请求按钮特殊配置 请求接口
  pageUrl: 'pageUrl', // 页面跳转安钮特殊配置 跳转页
  upload: 'upload', // 文件上传
  specialTag: 'specialTag', // 特殊标识
  showHeader: 'showHeader', // 是否在表头显示
  // sort: 'becomeSortCondition', // 是否成为排序对象
  filter: 'becomeFilter', // 是否作为筛选条件
  ruleApi: 'ruleApi', // 后台验证方式
  ruleRegular: 'ruleRegular', // 前端验证 正则表达式 value为 匹配规则 直接 new RegExp(ruleRegular).test
  tableHeaderOrder: 'sortPriority'
}

export const payKeyMap = {
  projectNumber: 'cbzx_code',
  amount: 'charge_amount',
  contractNumber: 'contract_id',
  receipt: 'receipt_id',
  chargeType: 'charge_type'
}
